Last Comment Bug 654136 - Bixi site causing browser content interactivity issues in Fennec
: Bixi site causing browser content interactivity issues in Fennec
Status: VERIFIED FIXED
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: P1 major (vote)
: ---
Assigned To: Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
:
Mentors:
http://toronto.bixi.com
Depends on: 651116
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-02 09:32 PDT by Aaron Train [:aaronmt]
Modified: 2011-07-14 21:33 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (1.72 KB, patch)
2011-05-19 04:08 PDT, Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
no flags Details | Diff | Splinter Review
Patch (1.71 KB, patch)
2011-05-19 04:28 PDT, Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please)
mark.finkle: review+
Details | Diff | Splinter Review

Description Aaron Train [:aaronmt] 2011-05-02 09:32:39 PDT
Device: Nexus One
Mozilla/5.0 (Android; Linux armv7l; rv:6.0a1) Gecko/20110502 Firefox/6.0a1
Fennec/6.0a1

This site in particular is causing a bunch of browser interactivity issues in Fennec, in particular: panning becomes locked thus preventing access to the awesome bar, access to tabs is denied as the attempt to view the tabs bounces back to the center of the page.

STR:
1. http://toronto.bixi.com
2. Tap the search field, 'What is your current location' directly in the middle of the page.
3. Dismiss the keyboard and then attempt to pan around the site

AR: Site repositions back to the search bar after each user interaction
ER: Browser content interactivity remains intact
Comment 1 Aaron Train [:aaronmt] 2011-05-09 09:15:43 PDT
So it seems that the form assistant is still enabled and is not dismissed when the virtual keyboard is dismissed as well. Thus it's preventing any other pans while it remains up. Pressing the back button again dismisses the form assistant and allows for free roaming on the site as expected.

This behavior seems greatly unexpected and would expect this to be a bug.

Vivien, what do you think?
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-13 12:15:50 PDT
Vivien - I am tracking this for FF6 just until we figure out if the site is causing a bad bug.
Comment 3 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-05-16 07:11:48 PDT
This is happening because the code to reposition the view depending on the position of the caret do not know anything about the keyboard opened state.

I need bug 651116 to fix that properly.
Comment 4 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-05-19 04:08:09 PDT
Created attachment 533588 [details] [diff] [review]
Patch

Since I'm less and less confident than a way to know if the platform is opened from the content side will make it for ff6, let's do a simple hack to get this information by assuming that if the browser is resize with a new height smaller than the previous one it means a VKB is opened (if the width has not changed, to prevent having fake results because of orientation changes)
Comment 5 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-05-19 04:28:30 PDT
Created attachment 533595 [details] [diff] [review]
Patch

Oups, I've forgot to qrefresh before!
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-19 05:44:11 PDT
Comment on attachment 533595 [details] [diff] [review]
Patch

This isn't too bad.
Comment 7 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-05-20 03:21:35 PDT
http://hg.mozilla.org/mozilla-central/rev/c36e2218c101
Comment 8 Aaron Train [:aaronmt] 2011-05-20 06:23:33 PDT
Thanks, main issue is gone.

Verified
Mozilla/5.0 (Android; Linux armv7l; rv:6.0a1) Gecko/20110517 Firefox/6.0a1 Fennec/6.0a1

Note You need to log in before you can comment on or make changes to this bug.